<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{706A1CB8-2F7D-4FE8-B71C-2A636AE898D3}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>FLY.Thick.FilmCasting.UI.Server</RootNamespace>
    <AssemblyName>FLY.Thick.FilmCasting.UI.Server</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Server.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="LiveCharts">
      <HintPath>..\..\thick_public\dll\LiveCharts.dll</HintPath>
    </Reference>
    <Reference Include="LiveCharts.Feng">
      <HintPath>..\..\thick_public\dll\LiveCharts.Feng.dll</HintPath>
    </Reference>
    <Reference Include="LiveCharts.Feng.Wpf">
      <HintPath>..\..\thick_public\dll\LiveCharts.Feng.Wpf.dll</HintPath>
    </Reference>
    <Reference Include="LiveCharts.Wpf">
      <HintPath>..\..\thick_public\dll\LiveCharts.Wpf.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="PgLoading.xaml.cs">
      <DependentUpon>PgLoading.xaml</DependentUpon>
    </Compile>
    <Compile Include="PgMain.xaml.cs">
      <DependentUpon>PgMain.xaml</DependentUpon>
    </Compile>
    <Compile Include="PicHistory\ChartToImage.cs" />
    <Compile Include="PicHistory\PicHistory.cs" />
    <Compile Include="PicHistory\ScanGraph.xaml.cs">
      <DependentUpon>ScanGraph.xaml</DependentUpon>
    </Compile>
    <Compile Include="PicHistory\ScanGraphVm.cs" />
    <Compile Include="PicHistory\ScanGraphVmUt.cs" />
    <Compile Include="PicHistory\WdPicHistory.xaml.cs">
      <DependentUpon>WdPicHistory.xaml</DependentUpon>
    </Compile>
    <Compile Include="Themes\Colors.cs" />
    <Compile Include="WdSetup.xaml.cs">
      <DependentUpon>WdSetup.xaml</DependentUpon>
    </Compile>
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Page Include="PgLoading.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="PgMain.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="PicHistory\ScanGraph.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="PicHistory\WdPicHistory.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Themes\ButtonStyle.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Themes\ChartStyle.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Themes\Colors.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Themes\Styles.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Themes\TextStyle.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="WdSetup.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="nlog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\thick_public\Project.FLY.AppHelper\FLY.AppHelper\FLY.AppHelper.csproj">
      <Project>{9c46d98f-6500-490b-9e56-c89dfffa05f8}</Project>
      <Name>FLY.AppHelper</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\thick_public\Project.FLY.ControlLibrary\FLY.ControlLibrary\FLY.ControlLibrary.csproj">
      <Project>{119c3adc-f8e1-4f72-b89b-006236ff8586}</Project>
      <Name>FLY.ControlLibrary</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\thick_public\Project.FLY.FlyADBase\FlyADBase\FlyADBase.csproj">
      <Project>{dd8a6858-1261-49f7-86be-5ac5c3a0ec34}</Project>
      <Name>FlyADBase</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\thick_public\Project.FLY.FObjSys\FObjSys\FObjBase.csproj">
      <Project>{abfe87d4-b692-4ae9-a8c0-1f470b8acbb8}</Project>
      <Name>FObjBase</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\thick_public\Project.FLY.Misc\MISC\Misc.csproj">
      <Project>{5ee61ac6-5269-4f0f-b8fa-4334fe4a678f}</Project>
      <Name>Misc</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\thick_public\Project.FLY.Thick.Base\FLY.Thick.Base\FLY.Thick.Base.csproj">
      <Project>{91A1AAFE-A528-4C2E-A48A-9259E780255A}</Project>
      <Name>FLY.Thick.Base</Name>
    </ProjectReference>
    <ProjectReference Include="..\FLY.Thick.FilmCasting\FLY.Thick.FilmCasting.csproj">
      <Project>{e2bd6ff0-64c5-46fb-aa37-9b1f75ec6500}</Project>
      <Name>FLY.Thick.FilmCasting</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Costura.Fody">
      <Version>4.1.0</Version>
    </PackageReference>
    <PackageReference Include="MahApps.Metro">
      <Version>2.4.1</Version>
    </PackageReference>
    <PackageReference Include="MahApps.Metro.IconPacks">
      <Version>4.8.0</Version>
    </PackageReference>
    <PackageReference Include="MvvmLight">
      <Version>5.4.1.1</Version>
    </PackageReference>
    <PackageReference Include="NLog">
      <Version>4.6.8</Version>
    </PackageReference>
    <PackageReference Include="PropertyChanged.Fody">
      <Version>3.3.1</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite">
      <Version>1.0.112</Version>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Server.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FodyWeavers.xml" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>